Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# CORBA_DefaultValueRefCountBase Class Reference

Default mix-in for reference count of a valuetype. More...

`#include <ValueBase.h>`

Inheritance diagram for CORBA_DefaultValueRefCountBase:

[legend]
Collaboration diagram for CORBA_DefaultValueRefCountBase:

[legend]
List of all members.

## Public Methods
virtual void | _add_ref (void)
| %! virtual CORBA::ValueBase* _copy_value (void) = 0;. More...
virtual void | _remove_ref (void)
virtual CORBA::ULong | _refcount_value (void)
void | _tao_add_ref (void)
| The _tao variants are inline for fast access from T_var (if valuetype T is compiled with optimization for that.) %! (todo). More...
void | _tao_remove_ref (void)
CORBA::ULong | _tao_refcount_value (void)
## Protected Methods
| CORBA_DefaultValueRefCountBase (void)
| CORBA_DefaultValueRefCountBase (const CORBA_DefaultValueRefCountBase &)
virtual | ~CORBA_DefaultValueRefCountBase ()
## Private Methods
void | operator= (const CORBA_DefaultValueRefCountBase &)
## Private Attributes
CORBA::ULong | _tao_reference_count_
TAO_SYNCH_MUTEX | _tao_reference_count_lock_

## Detailed Description

Default mix-in for reference count of a valuetype.

## Constructor & Destructor Documentation

ACE_INLINE CORBA_DefaultValueRefCountBase::CORBA_DefaultValueRefCountBase | ( | void |  | ) | `[protected]`

CORBA_DefaultValueRefCountBase::CORBA_DefaultValueRefCountBase | ( | const CORBA_DefaultValueRefCountBase & |  | ) | `[protected]`

CORBA_DefaultValueRefCountBase::~CORBA_DefaultValueRefCountBase | ( | void |  | ) | `[protected, virtual]`

## Member Function Documentation

void CORBA_DefaultValueRefCountBase::_add_ref | ( | void |  | ) | `[virtual]`

| %! virtual CORBA::ValueBase* _copy_value (void) = 0;. Reimplemented from CORBA_ValueBase.

CORBA::ULong CORBA_DefaultValueRefCountBase::_refcount_value | ( | void |  | ) | `[virtual]`

| Reimplemented from CORBA_ValueBase.

void CORBA_DefaultValueRefCountBase::_remove_ref | ( | void |  | ) | `[virtual]`

| Reimplemented from CORBA_ValueBase.

ACE_INLINE void CORBA_DefaultValueRefCountBase::_tao_add_ref | ( | void |  | ) |

| The _tao variants are inline for fast access from T_var (if valuetype T is compiled with optimization for that.) %! (todo).

ACE_INLINE CORBA::ULong CORBA_DefaultValueRefCountBase::_tao_refcount_value | ( | void |  | ) |

ACE_INLINE void CORBA_DefaultValueRefCountBase::_tao_remove_ref | ( | void |  | ) |

void CORBA_DefaultValueRefCountBase::operator= | ( | const CORBA_DefaultValueRefCountBase & |  | ) | `[private]`

## Member Data Documentation

CORBA::ULong CORBA_DefaultValueRefCountBase::_tao_reference_count_`[private]`

TAO_SYNCH_MUTEX CORBA_DefaultValueRefCountBase::_tao_reference_count_lock_`[private]`

The documentation for this class was generated from the following files:

- ValueBase.h
- ValueBase.cpp
- ValueBase.i